#ifndef __IMMO_H_
#define __IMMO_H_
#include <cstdint>
#include <stdio.h>
#include <cstring>

void CalcUDS(uint8_t *sec_ask, uint8_t *sec_ans );//функция для расчёта security access
void GetImmoOut(uint8_t *req, uint8_t *ans, uint8_t *key );
void shortGetImmoOut(uint8_t *state, uint8_t *key);
bool CheckArray(uint8_t *a,uint8_t *b, uint8_t len);
bool CheckKey(uint8_t *req, uint8_t *ans, uint8_t *key );


#endif /* __IMMO_H_ */


